package com.tax.file.job;

import com.dangdang.ddframe.job.api.ShardingContext;
import com.dangdang.ddframe.job.api.simple.SimpleJob;
import com.tax.file.service.async.apply.FileApplyTask;
import com.yxcheng.token.utils.UUIDGenerator;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ApplyDownFileJob implements SimpleJob {
    private static final Logger logger = LoggerFactory.getLogger(ApplyDownFileJob.class);
    @Autowired
    private FileApplyTask fileApplyTask;

    @Override
    public void execute(ShardingContext shardingContext) {
        String uuidFlag = UUIDGenerator.generate();
        logger.info(uuidFlag + " applyDownFileJob is start");
        fileApplyTask.applyDownFile(uuidFlag);
        logger.info(uuidFlag + " applyDownFileJob is end");
    }
}
